<?php
// +-----------------------------------------------------------------------------+
// | evList  A calendar solution for Geeklog                                     |
// | Date: Aug, 2007                                                             |
// +-----------------------------------------------------------------------------+
// | config.php  Plugin specific settings                                        |
// +-----------------------------------------------------------------------------+
// | Copyright (C) 2007 by:                                                      |
// | evList Plugin Author:                                                       |
// | Alford Deeley - ajdeeley@summitpages.ca                                     |
// +-----------------------------------------------------------------------------+
// | Geeklog Common Code                                                         |
// | Copyright (C) 2000-2007 by the following authors:                           |
// | Authors: Tony Bibbs        - tony@tonybibbs.com                             |
// |          Mark Limburg      - mlimburg@users.sourceforge.net                 |
// |          Jason Whittenburg - jwhitten@securitygeeks.com                     |
// |          Dirk Haun         - dirk@haun-online.de                            |
// +-----------------------------------------------------------------------------+
// |                                                                             |
// | This program is licensed under the terms of the GNU General Public License  |
// | as published by the Free Software Foundation; either version 2              |
// | of the License, or (at your option) any later version.                      |
// |                                                                             |
// | This program is distributed in the hope that it will be useful,             |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of              |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                        |
// | See the GNU General Public License for more details.                        |
// |                                                                             |
// | You should have received a copy of the GNU General Public License           |
// | along with this program; if not, write to the Free Software Foundation,     |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             |
// |                                                                             |
// +-----------------------------------------------------------------------------+


$CONF_EVLIST = array();

/* user definable config options */

// Define default permissions for new objects created from the Admin panels.
// Permissions are perm_owner, perm_group, perm_members, perm_anon (in that
// order). Possible values:
// 3 = read + write permissions (perm_owner and perm_group only)
// 2 = read-only
// 0 = neither read nor write permissions
// (a value of 1, ie. write-only, does not make sense and is not allowed)
$CONF_EVLIST['default_permissions'] = array (3, 2, 2, 2);

//
$CONF_EVLIST['reminder_speedlimit'] = 30; // minimum time between reminder requests, in seconds
$CONF_EVLIST['post_speedlimit'] = $_CONF['speedlimit']; // minimum time between event submissions, in seconds

/*-------------------------------------------------------------------------*/
/* Don't change anything below this line                                   */
/*-------------------------------------------------------------------------*/
$CONF_EVLIST['version'] = '1.1';
$CONF_EVLIST['plugin_url'] = 'http://summitpages.ca';

$_TABLES['evlist_events']       = $_DB_table_prefix . 'evlist_events';
$_TABLES['evlist_categories']   = $_DB_table_prefix . 'evlist_categories';
$_TABLES['evlist_lookup']       = $_DB_table_prefix . 'evlist_lookup';
$_TABLES['evlist_remlookup']    = $_DB_table_prefix . 'evlist_remlookup';
$_TABLES['evlist_dateformat']   = $_DB_table_prefix . 'evlist_dateformat';
$_TABLES['evlist_timeformat']   = $_DB_table_prefix . 'evlist_timeformat';
$_TABLES['evlist_settings']     = $_DB_table_prefix . 'evlist_settings';
$_TABLES['evlist_submissions']  = $_DB_table_prefix . 'evlist_submissions';

?>