<?php


$DEFVALUES[1] = "REPLACE INTO {$_TABLES['evlist_events']} VALUES
    ('20070924175337252', '4th example: recurring events', 'Like example #3, this is a recurring event.  A recurring event is an event that recurs according to a particular pattern.  For example, an event may be set to recur once per year.  If it is, then that event will be displayed in the event list that often.', '<p>No matter the date and time information that you''ve entered, if an event is set to recur, then it will--then it will.  If you check the recurring event box further fields will be presented to collect such information as how often the event will recur and when it will stop recurring if it indeed does stop recurring.  An end date is not required for any event, even a recurring event.</p>\r<p>A number of basic formats are available to use for your event.  Daily, monthly and yearly events are pretty basic.  You can also choose to have an event recur on particular days per week, or on a particular day (e.g., 2nd sunday) per month.  You may alternatively supply a list of dates upon which the event should recur.</p>\r<p>An ending date is not required for recurring events, or for any events actually.  If supplied, the event will only be displayed up to the end date, otherwise the event will continue to be displayed.  A default display range for recurring events is hard-coded into the software to limit the number of events that are displayed.  For example, if you have a daily recurring event that will recur for a year, only one month worth of recurrences will be displayed ahead of now.  This default range is different depending upon the format chosen.</p>\r<p>Depending upon the format chosen, recurring events might land on weekends and if that is not desired then you have the choice skip the event or to force it to the next business day.  This applies to the daily (next business day not available for daily option), monthly and yearly by date formats.</p>\r', '2006-02-14', '0000-00-00', '0000-00-00', '0000-00-00', '0', '', '', '', '', 'This event takes place everywhere!', '', '', '', '', '', 1, 3, '', 1, 0, 'Cupid', 'lovehurts@joybliss.he', '555-love', 1, 2, 1, 1, 2, 27, 3, 2, 0, 0),
    ('20070922110402423', '1st example: General Information', 'This is an example event.  Only Root users can view these example events so you have no need to delete them.  You may use them as reference later on.  Read on for more information.', '<p>This example will list just a few of the general features.  Please take note that evList is not a tutorial program, but an event list.  These instructions appear as events in the list only as a convenient reference.</p>\r<ul>\r<li>The only required fields in the event editor are the event title and the start date year and month fields.  All other fields are optional.</li>\r<li>This event is posted in html mode.  The other option is plaintext and any html will be stripped from such a post.  Those fields that accept html are the summary, full description, and location fields.</li>\r<li>Note that this example event has been given a start date (year and month) and no end date.  That is acceptable.  The only required dates here are the start date year and month.  This makes the list much more flexible in terms of what kind of events may be listed.  Keep in mind that if you provide a time or a day, you must provide a month, or if you provide a month, you must provide a year, etc.  For example: you cannot have an end time without an end date.</li>\r<li>evList supports recurring events and offers a number of basic formats to choose from for configuring your event.  An example of a recurring event is provided for you (example #4).</li>\r<li>Your events may be categorized.  This is not required.  If you wish to view uncategorized events, simply do not choose a category from the drop-down on the event list page.</li>\r<li>Events make use of the same permissions system as GL stories and so can be easily restricted.</li>\r<li>The contact section of the event editor asks for an email address.  This is not required of course, but rest assured that while you will be able to read any email displayed, that email is encrypted to protect from bots scraping your pages for email addresses.</li>\r<li>Event reminders have made their way into version 1.1 of evList.  Yay me!  Unless an event is occuring within a week of now, an event reminder form will appear at the bottom of the event description.  This form will take an email address and a number corresponding to days prior to an event in order for a reminder email to be sent that many days prior to the event.  Reminders can be turned on/off per event, or globally.</li>\r</ul>', '2010-01-01', '0000-00-00', '0000-00-00', '0000-00-00', '0', '', '', '', 'http://example.ca', 'This is the location field.  It will support more than just a place name--clearly.  It also supports html if that mode is enabled.', '263 dirt rd.', 'sticksville', 'pukatawagon province', 'canada', 't4s 7e6', 0, 0, '', 0, 0, 'machinari', 'machinari@example.ca', '', 1, 2, 1, 1, 2, 27, 3, 2, 0, 0),
    ('20070924133400211', '2nd example: submissions queue', 'This example briefly covers the submissions queue and its functions.', 'If you wish, as admin, to be notified of submissions to the queue, add \"evlist\" to \$_CONF[\'notification\'].  Events that reside in the submissions queue awaiting approval are disabled and cannot be viewed by regular users until approved.  Events so submitted can be deleted from the list of submissions in the queue or may be sent to the editor for editing.  Sending a submission to the editor will provide you, the admin, with event details that do not get listed in the submission queue.\r\n\r\nApproving submissions can be accomplished two ways:  either from the submission queue, checking the &quot;approve&quot; check box; or sending the event from the queue to the event editor, and then checking the &quot;enable event&quot; check box.  Submissions that are sent to the editor from the queue are disabled by default and must have the &quot;enable event&quot; check box checked before saving the event or it will remain a disabled event.\r\n\r\nRegular events may also be enabled/disabled via the &quot;enable event&quot; check box in the event editor.  You can gain access to disabled events through the admin lists.\r\n\r\nA speed limit is enforced for submissions made by any user without evList admin rights.  The speed limits are defined in the plugin\'s config.php file.  A speed limit is defined for event submissions and another limit is defined for event reminder requests.\r\n\r\nNotice that this event does not have an address listed.  This is OK.  Remember that there are only 3 required fields in the editor: the title field and the start date year and month fields.', '2010-02-01', '2010-02-01', '0000-00-00', '0000-00-00', '0', '21:15:00', '', '', '', '', '', '', '', '', '', 0, 0, '', 0, 0, '', '', '', 1, 1, 1, 1, 2, 27, 3, 2, 0, 0),
    ('20070924140852285', '3rd example: split and all day events', 'The event will introduce you to split and all day events, which are simply different ways of defining start and end times for an event.', '<p>The day event check box in the event editor, if checked, causes the save event process to ignore any end time or split times that might have been supplied.  An all day event goes all day after all.  evList will display a small note on the event page that this event is an all day event.</p>\r<p>A split event is and event that is split into one or more pieces, hence the name.  evList supports your basic split where and event runs twice in one day.  In this case the event will have 2 start and end dates.  For example, an event may run in the morning and in the evening, but not in the afternoon.  Rather than creating 2 events, simply supply start times and end times for the event on each side of the split</p>\r<p>Regular events, all day events, as well as split events can all be recurring events--to be discussed in example #4.</p>', '2010-03-02', '2010-03-02', '2010-03-02', '2010-03-02', '10:00:00', '12:00:00', '01:15:00', '04:00:00', '', 'This event takes place online at the following address:  <a href=\"http://example.com\">example.com</a>.<br><a href=\"http://third.example.com\">Click here</a> to visit some place in particular.', '', '', '', '', '', 1, 1, '2010-3-12;1', 0, 1, '', '', '', 1, 2, 1, 1, 2, 27, 3, 2, 0, 0)
    ";
    
$DEFVALUES[] = "INSERT INTO {$_TABLES['evlist_categories']} (name,status) VALUES
    ('General','0'),
    ('Birthdays','0'),
    ('Seminars','0')
    ";
    
$DEFVALUES[] = "INSERT INTO {$_TABLES['evlist_settings']} SET
    usermenu_option='1',
    week_begins='1'";
    
$DEFVALUES[] = "INSERT INTO {$_TABLES['evlist_dateformat']} VALUES
    (1, '%a %b %d, %Y'),
    (2, '%a %b %d'),
    (3, '%A %b %d, %Y'),
    (4, '%A %b %d'),
    (5, '%A %B %d'),
    (6, '%B %d, %Y'),
    (7, '%m/%d/%y'),
    (8, '%m-%d-%y'),
    (9, '%Y %m %d'),
    (10, '%b %d %Y'),
    (11, '%b %d, %Y')
    ";
    
$DEFVALUES[] = "INSERT INTO {$_TABLES['evlist_timeformat']} VALUES
    (1, '%I:%M %p'),
    (2, '%H:%M')
    ";


?>