<?php
// +-----------------------------------------------------------------------------+
// | evList A calendar solution for Geeklog                                      |
// | Date: Aug, 2007                                                             |
// +-----------------------------------------------------------------------------+
// | english.php plugin specific language arrays                                 |
// +-----------------------------------------------------------------------------+
// | Copyright (C) 2007 by:                                                      |
// | evList Plugin Author:                                                       |
// | Alford Deeley - ajdeeley@summitpages.ca                                     |
// +-----------------------------------------------------------------------------+
// | Geeklog Common Code                                                         |
// | Copyright (C) 2000-2007 by the following authors:                           |
// | Authors: Tony Bibbs        - tony@tonybibbs.com                             |
// |          Mark Limburg      - mlimburg@users.sourceforge.net                 |
// |          Jason Whittenburg - jwhitten@securitygeeks.com                     |
// |          Dirk Haun         - dirk@haun-online.de                            |
// +-----------------------------------------------------------------------------+
// |                                                                             |
// | This program is licensed under the terms of the GNU General Public License  |
// | as published by the Free Software Foundation; either version 2              |
// | of the License, or (at your option) any later version.                      |
// |                                                                             |
// | This program is distributed in the hope that it will be useful,             |
// | but WITHOUT ANY WARRANTY; without even the implied warranty of              |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                        |
// | See the GNU General Public License for more details.                        |
// |                                                                             |
// | You should have received a copy of the GNU General Public License           |
// | along with this program; if not, write to the Free Software Foundation,     |
// | Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             |
// |                                                                             |
// +-----------------------------------------------------------------------------+

/* gl integrations:  links, stats, search, etc. */
$LANG_EVLIST00 = array (
    1   => 'evList',
    2   => 'Event List',
    3   => 'Event Add',
    4   => 'Access Denied',
    5   => 'Only Authorized Users have Access to this Page.  Your user name and IP have been recorded.',
    6   => 'Events',
    7   => 'evList Events Listing',
    8   => 'evList Search Results',
    9   => 'Title',
    10  => 'Start Date',
    11  => 'Hits',
    12  => 'evList Events',
    13  => 'Event Title',
    14  => 'Top Ten evList Events',
    15  => 'No events in the system are currently viewable.',
    16  => 'evList Event Submissions',
    17  => 'Title',
    18  => 'Start Date',
    19  => 'Title',
    20  => 'Date',
    21  => 'Submissions',
    22  => 'evList Submissions',
    23  => 'End of message'
);

/* admin */
$LANG_EVLIST01 = array (
    1   => '',
    2   => 'Allow anonymous users to view events?',
    3   => 'Allow anonymous submissions?',
    4   => 'Allow logged in user submissions?',
    5   => 'Allow html when posting?',
    6   => 'NOTE: Only logged in users may post in html.',
    7   => 'User menu link option',
    8   => 'Enable the menu item?',
    9   => 'Week begins on',
    10  => 'Enable centerblock?',
    11  => 'Centerblock position',
    12  => 'Topic',
    13  => 'Date format',
    14  => 'Time format',
    15  => 'Save',
    16  => 'Reset',
    17  => 'Apply Defaults',
    18  => 'Cancel',
    19  => 'Access Config',
    20  => 'GUI Config',
    21  => 'Centerblock Config',
    22  => 'NOTE: Applies to header.thtml and the menu_elements var only.',
    23  => 'Add Event',
    24  => 'List Events',
    25  => 'Sunday',
    26  => 'Monday',
    27  => 'evList Configuration Editor',
    28  => 'All',
    29  => 'Homepage only',
    30  => 'Top of page',
    31  => 'After featured story',
    32  => 'Bottom of page',
    33  => 'Entire page',
    34  => 'NOTE: When checked, an event list will be displayed as a center block on the index page.',
    35  => 'Enter the number of events to display',
    36  => 'Select an event range to display',
    37  => 'NOTE: All submissions are queued pending approval.',
    38  => 'Edit',
    39  => 'Event Title',
    40  => 'Start Date',
    41  => 'Copy',
    42  => 'ID',
    43  => 'Create New',
    44  => 'evList Config',
    45  => 'evList Event Manager',
    46  => 'To create a new event, click on "Create New" above.<br />To manage global options, click on "evList Config" above.<br />To manage categories, click on "Categories" above.<br />To modify or delete an event, click on that event\'s edit icon below. To view an event, click on the event\'s title you wish to view. To enable/disable an event, check the appropriate box below.',
    47  => 'Enable',
    48  => 'Display Event',
    49  => 'Edit Event',
    50  => 'Clone event to editor',
    51  => 'evList Categories',
    52  => 'evList Events',
    53  => 'ID',
    54  => 'Name',
    55  => 'Enabled',
    56  => 'Delete?',
    57  => 'Create new categories below',
    58  => 'To manage events, click on "evList Events" above.<br />To manage global options, click on "evList Config" above.<br />To edit category names, delete or enable/disable categories, edit or check the apporpriate box below.  You may also create new categories in the empty fields at the bottom of the table.',
    59  => 'To manage events, click on "evList Events" above.<br />To manage categories, click on "evList Categories" above.<br />To manage evList glogal options, edit the fields below where necessary.',
    60  => 'Update Categories',
    61  => 'Deleting categories <strong>will not</strong> delete events belonging to those categories.',
    62  => 'Upcoming events block: number of events to display',
    63  => 'Main list: number of events to display per page',
    64  => 'Number of characters to display in event summary',
    65  => 'Disabling a category <strong>will not</strong> disable its events.  Those events will continue to appear in the event list if it belongs to another category or if no category is selected.',
    66  => 'Enable email reminders?',
    67  => 'NOTE: Disabling reminders will delete all stored reminders.',
    68  => 'An event ceases to be <i>upcoming</i>'
);

/* list */
$LANG_EVLIST02 = array (
    1   => 'There are no events that match your criteria.',
    2   => 'Event List',
    3   => 'This event begins: %s',
    4   => 'Read More',
    5   => 'Contact',
    6   => 'This event ends: %s',
    7   => 'Current Events',
    8   => 'Past Events',
    9   => 'Upcoming Events',
    10  => 'Select an event range to display',
    11  => 'This Next Week\'s Events',
    12  => 'This Next Month\'s Events',
    13  => 'Previous',
    14  => 'Next',
    15  => 'Category',
    16  => 'Go',
    17  => 'Add Event'
);

/* event */
$LANG_EVLIST03 = array (
    1   => 'Upcoming Event',
    2   => 'Event ID# %s does not exist.  Please check your link and try again.',
    3   => '<strong>Begins:</strong> ',
    4   => '<strong>Ends:</strong> ',
    5   => 'Feel free to %s for more information.',
    6   => 'Contact %s',
    7   => 'drop us a line',
    8   => 'Edit',
    9   => 'Quick Delete',
    10  => 'Back to event list',
    11  => 'This event takes place at: %s',
    12  => 'Location',
    13  => 'Click Here',
    14  => 'This is an all day event.',
    15  => 'This event recurs %s.',
    16  => 'Contact',
    17  => 'daily',
    18  => 'monthly',
    19  => 'yearly',
    20  => 'weekly: %s',
    21  => 'and ',
    22  => 'and/or choose a category',
    23  => 'More events from:&nbsp;',
    24  => 'Email me at',
    25  => 'Sumbit your email address in order to be reminded of this event prior to its occurrence.',
    26  => 'Your email will remain private and will only be used to remind you of this event.',
    27  => 'Submit',
    28  => 'days prior to this event.',
    29  => "An event reminder from {$_CONF['site_name']}",
    30  => "You are receiving this event reminder because your address was submitted to {$_CONF['site_name']}.",
    31  => 'Please be reminded that the event, %s, will occur on or about %s.',
    32  => 'Event Summary: %s',
    33  => 'For more information please visit %s',
    34  => "Thanks from {$_CONF['site_name']}"
);

/* editor */
$LANG_EVLIST04 = array (
    1   => 'Event Editor',
    2   => 'General Event Information',
    3   => 'Date and Time Information',
    4   => 'Location Information',
    5   => 'Contact Information',
    6   => 'Access Information',
    7   => 'Save',
    8   => 'Reset',
    9   => 'Delete',
    10  => 'Cancel',
    11  => 'Event Title',
    12  => 'Event Summary',
    13  => 'Full Description',
    14  => 'Start',
    15  => 'End',
    16  => 'day',
    17  => 'month',
    18  => 'year',
    19  => 'hour',
    20  => 'minute',
    21  => 'Event Location',
    22  => 'Street Address',
    23  => 'City',
    24  => 'Province/State',
    25  => 'Postal/Zip Code',
    26  => 'URL',
    27  => 'Contact Information',
    28  => '* <i>Event Title</i> is a required field.',
    29  => 'Is this a recurring event?',
    30  => 'Event recurs',
    31  => 'Split?',
    32  => 'All Day?',
    33  => 'Start Date',
    34  => 'Start Time',
    35  => 'End Date',
    36  => 'End Time',
    37  => 'E-mail',
    38  => 'Phone #',
    39  => 'For more information contact',
    40  => 'Country',
    41  => 'Permissions: (R = read, E = edit, edit rights assume read rights)',
    42  => 'NOTE: "Members" is all logged in members of the site and "anonymous" is all users browsing the site that are not logged in.',
    43  => 'Owner',
    44  => 'Group',
    45  => 'The <i>Every</i> field is not required depending upon your choice of recurring period.',
    46  => 'Postmode',
    47  => 'NOTE: The <i>Event Location</i> field below also accepts html.',
    48  => 'Enable Event?',
    49  => 'Recurring Event Information',
    50  => 'Specify the %s on which this event will recur%s',
    51  => ', if any',
    52  => 'day, by date,',
    53  => '(Format: YYYY-MM-DD)',
    54  => 'date',
    55  => 'year and month',
    56  => '(Format: YYYY-MM)',
    57  => 'year',
    58  => '(Format: YYYY)',
    59  => 'days of the week, by number,',
    60  => '(e.g.: 1,3,4,etc. (where 1 = Sunday))',
    61  => 'interval and day',
    62  => 'dates',
    63  => '(Format: YYYY-MM-DD, YYYY-MM-DD, etc.)',
    64  => 'Select Format',
    65  => ' every month',
    66  => 'Specify the %s beyond which this event will not recur%s',
    67  => '* <i>Start Date</i> year and month are required fields.',
    68  => 'Category Information',
    69  => 'New category',
    70  => 'Create a new category for your event instead of, or in addition to any existing categories.',
    71  => 'Add your event to a single or to multiple categories',
    72  => 'Adding your event to a category is not required.',
    73  => 'Skip weekends?',
    74  => 'Next business day?',
    75  => 'A recurring event landing on a weekend may either be skipped or rescheduled to the next business day.',
    76  => 'Enable email reminders?',
    77  => 'Disabling reminders will delete any relevant reminders.'
);

/* column block and centerblock */
$LANG_EVLIST05 = array (
    1   => 'Past Events',
    2   => 'Upcoming Events',
    3   => 'This Coming Week',
    4   => 'This Coming Month',
    5   => 'Event Title',
    6   => 'Start Date',
    7   => 'Event List'
);

/* recurring periods */
$LANG_EVLIST06 = array (
    1   => 'Daily by date, e.g., April 4 thru April 7 (sequential)',
    2   => 'Monthly by date, e.g., the first of each month',
    3   => 'Yearly by date, e.g., December 25th year after year',
    4   => 'Weekly by day, e.g., Mon, Wed, and Fri',
    5   => 'Monthly by day, e.g., the 3rd Friday of each month',
    6   => 'Custom dates: a comma-delimited list of calendar dates'
);

/* messages */
$LANG_EVLIST07 = array (
    1   => 'Success!  Event has been deleted.',
    2   => 'Success!  Your new event has been saved.',
    3   => 'Event has been copied.  You may now edit your new event.',
    4   => 'Success!  Event has been updated.',
    5   => 'Required fields are empty.  Please recheck your submission.',
    6   => 'Alert!',
    7   => 'evList default settings have been applied.',
    8   => 'evList configuration settings have been updated.',
    9   => "Thank-you for submitting your event to {$_CONF['site_name']}. It has been submitted to our staff for approval. If approved, your event will be available for others to read on our site.",
    10  => 'Supplied dates are not valid.  Please recheck your submission.',
    11  => 'Categories have been updated.',
    12  => 'Reminder saved.  You should receive an email reminder prior to this event.',
    13  => 'You have supplied an invalid or improperly formatted email address.  Please try again.',
    14  => 'You must specify the number of days prior to this event that you wish to be notified.',
    15  => "This site requires at least {$CONF_EVLIST['reminder_speedlimit']} seconds between reminder requests.",
    16  => "This site requires at least {$CONF_EVLIST['post_speedlimit']} seconds between event submissions."
);

/* postmodes */
$LANG_EVLIST08 = array (
    1   => 'plaintext',
    2   => 'html'
);

/* range option */
$LANG_EVLIST09 = array (
    1   => 'past',
    2   => 'upcoming',
    3   => 'this week',
    4   => 'this month'
);

/* weekday option */
$LANG_EVLIST10 = array (
    1   => 'Sunday',
    2   => 'Monday',
    3   => 'Tuesday',
    4   => 'Wednesday',
    5   => 'Thursday',
    6   => 'Friday',
    7   => 'Saturday'
);

/* interval option */
$LANG_EVLIST11 = array (
    1   => 'First',
    2   => 'Second',
    3   => 'Third',
    4   => 'Fourth',
    5   => 'Last'
);

/* weekday abreviations */
$LANG_EVLIST12 = array (
    1   => 'Sun',
    2   => 'Mon',
    3   => 'Tue',
    4   => 'Wed',
    5   => 'Thu',
    6   => 'Fri',
    7   => 'Sat'
);

/* event passing options */
$LANG_EVLIST13 = array (
    1   => 'as soon as the start time has passed (if exists).',
    2   => 'as soon as the start date has passed, ie, the next day.',
    //3   => 'as soon as the end time has passed (if exists).',
    //4   => 'as soon as the end date has passed (if exists).'
);

?>